/*navメニュー*/

/*アクティブになったエリア*/
#g-nav.panelactive{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
  position:fixed;
  z-index: 999;
	top: 0;
	width:100%;
  height: 100vh;
	overflow: scroll;
}

/*丸の拡大*/
.circle-bg{
    position: fixed;
	  z-index:800;
    /*丸の形*/
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: #deb887;
    opacity: 0.9;
    /*丸のスタート位置と形状*/
	  transform: scale(0);/*scaleをはじめは0に*/
	  right:-50px;
    top:-50px;
    transition: all .6s;/*0.6秒かけてアニメーション*/
}

.circle-bg.circleactive{
	transform: scale(50);/*クラスが付与されたらscaleを拡大*/
}

/*ナビゲーションの縦スクロール
#g-nav-list{
    display: none;/*はじめは表示なし
    /*ナビの数が増えた場合縦スクロール
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}

#g-nav.panelactive #g-nav-list{
     display: block; /*クラスが付与されたら出現
}
*/


/*ナビゲーション*/
#g-nav ul {
	opacity: 0;/*はじめは透過0*/
    /*ナビゲーション天地中央揃え※レイアウトによって調整してください。不必要なら削除*/
    position: absolute;
    z-index: 999;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
	visibility: hidden;
}

/*背景が出現後にナビゲーションを表示*/
#g-nav.panelactive ul {
    opacity:1;
	visibility: visible;
}

/* 背景が出現後にナビゲーション li を表示※レイアウトによって調整してください。不必要なら削除*/
#g-nav.panelactive ul li{
animation-name:gnaviAnime;
animation-duration:1s;
animation-delay:.2s;/*0.2 秒遅らせて出現*/
animation-fill-mode:forwards;
opacity:0;
}
@keyframes gnaviAnime{
0% {
opacity: 0;
}
100% {
opacity: 1;
}
}


/*リストのレイアウト設定*/
#g-nav li{
	text-align: center;
	list-style: none;
}

#g-nav li a{
	color: #ffffff;
	text-decoration: none;
	padding:10px;
	display: block;
	text-transform: uppercase;
	letter-spacing: 0.1em;
  font-size: 25px;
  line-height: 40px;
}


@media (max-width: 750px){
	#g-nav li a{
		font-size: 25px;
		line-height: 35px;
	}
}
 

@media (max-width: 600px) {
#g-nav li a{
  font-size: 16px;
  line-height: 23px;
  padding: 8px;
}
	
	#g-nav ul{
		width: 80%;
	}
}

@media screen and (max-width: 1366px) and (orientation: landscape) {
  #g-nav ul {
    top:570px;
}
}

/*========= ボタンのためのCSS ===============*/
.openbtn{
	position: fixed;
	top:30px;
	right: 200px;
	z-index: 9999;/*ボタンを最前面に*/
	cursor: pointer;
  width: 60px;
  height: 60px;
  margin: 0 20px;
  background-color: #ffffff;
  border: 0px solid #ffffff;
  border-radius: 50%;
}

/*×に変化*/
.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 10px;
    height: 4px;
    border-radius: 2px;
    background-color: #7fbfff;  /*元のカラー#ffa500*/
  	width: 26px;
  }

.openbtn span:nth-of-type(1) {
	top:13px;
  margin-top: 5px;
  margin-left: 7px;
}

.openbtn span:nth-of-type(2) {
	top:23px;
  margin-top: 5px;
  margin-left: 7px;
}

.openbtn span:nth-of-type(3) {
	top:33px;
  margin-top: 5px;
  margin-left: 7px;
}

.openbtn.active span:nth-of-type(1) {
    top: 17px;
    transform: translateY(6px) rotate(-45deg);
    width: 36px;
    margin-top: 5px;
    margin-left: 2px;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    transform: translateY(-6px) rotate(45deg);
    width: 36px;
    margin-top: 5px;
    margin-left: 2px;
}

/*--- responsive ---*/

@media (max-width: 600px) {
    .openbtn {
      width: 48px;
      height: 48px;
      right: -4px;
    }
    .openbtn span {
      width: 23px;
      height: 3px;
    }
    .openbtn span:nth-of-type(1) {
    	top: 7.5px;
      left: 6px;
      margin-top: 9px;
    }
    .openbtn span:nth-of-type(2) {
      top: 13px;
      left: 6px;
      margin-top: 10px;
    }
    .openbtn span:nth-of-type(3) {
      top: 18.5px;
      left: 6px;
      margin-top: 11px;
    }
    .openbtn.active span:nth-of-type(1) {
        top: 12px;
        transform: translateY(6px) rotate(-45deg);
        width: 27px;
        margin-top: 5px;
        margin-left: 5px;
    }
    .openbtn.active span:nth-of-type(2) {
    	opacity: 0;
    }
    .openbtn.active span:nth-of-type(3){
        top: 25px;
        transform: translateY(-6px) rotate(45deg);
        width: 27px;
        margin-top: 5px;
        margin-left: 5px;
    }
}
